Skip to content

Send a chunk

PATCH
/cms/print/v2/uploads/{uploadId}
curl --request PATCH \
--url https://api.example.com/cms/print/v2/uploads/example \
--header 'API-Key: <API-Key>' \
--header 'Token-User: <Token-User>' \
--header 'Upload-Offset: 1'

The raw bytes, starting at Upload-Offset, which must equal the bytes received so far (otherwise 409 with the current offset). Chunks of up to uploadChunkBytes (GET /cms/print/v2/config).

uploadId
required
string
Upload-Offset
required
integer
Media typeapplication/octet-stream

Chunk stored; complete is true after the last one

OFFSET_MISMATCH